// STM8A/S		        	        
// AN2857  AN2743        	                
// STM8A/S family power management application note  	        
// main file  	                        
// V1.0.0				        
// THE PRESENT FIRMWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS  
// WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE   
// TIME. AS A RESULT, STMICROELECTRONICS SHALL NOT BE HELD LIABLE FOR ANY       
// DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING 
// FROM THE CONTENT OF SUCH FIRMWARE AND/OR THE USE MADE BY CUSTOMERS OF THE    
// CODING INFORMATION CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.       
// History:                                                                      
// - V0.1 initial release                                                       
// - V0.2 bug correction about the location definition                          


 // Define the memory section ***************
#pragma section (MAIN_CODE)

 // Includes  **********************
#include "power_management.h"
#include "reference_codes.h"

// Define the prototypes of _fctcpy() function which is not defined by COSMIC
int _fctcpy(char);

 // main code **********************
void main(void)
{
  // Selection of the Refernce code to execute
  #if REFERENCE_CODE == USER  /*BUG in the previous version*/
  char ref_code_name[16] = "______USER______";
  #elif REFERENCE_CODE == LINEAR
  char ref_code_name[16] = "_____LINEAR_____";
  #else
  #error Please select a valid reference code
  #endif
  
  // Selection of the reference code location in memory
  #if CODE_EXEC==RAM
  char ref_code_loc[16] = "______RAM_______";
  // copy the refcode segment to RAm memory
  _fctcpy('R');
  //memcpy((void * )0x100,(void * )0x8109,516);
  //memcpy((void * )0x304,(void * )0x830d,342);
  #elif CODE_EXEC==FLASH
  char ref_code_loc[16] = "_____FLASH______";
  // no copy to ram memory
  #else
  #error You must choose from where the code will be executed either from RAM or from FLASH
  #endif
  
  config_periph_OFF();
  config_CLK();
  config_GPIO();  
  
  // enable the interrupts
  //_asm("rim\n");
  
  while (1)
  {
    // Ref code
    Run_ref_code();
  }
}